## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate cryptoki-sys

Name:           rust-cryptoki-sys
Version:        0.1.3
Release:        %autorelease
Summary:        FFI wrapper around the PKCS #11 API

License:        Apache-2.0
URL:            https://crates.io/crates/cryptoki-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * unconditionally rebuild bindings with bindgen to support more architectures
Patch:          cryptoki-sys-fix-metadata.diff
Patch:          0001-Unconditionally-rebuild-bindings-to-support-all-arch.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
FFI wrapper around the PKCS #11 API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-bindings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-bindings-devel %{_description}

This package contains library source intended for building other packages which
use the "generate-bindings" feature of the "%{crate}" crate.

%files       -n %{name}+generate-bindings-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.3-7
- Unconditionally rebuild bindings with bindgen to support more
  architectures

* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.3-6
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Mar 14 2022 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3

* Thu Nov 11 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.2-3
- Bump bindgen to 0.59.0

* Thu Nov 11 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.2-2
- Convert to rpmautospec

* Sun Aug 08 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 06 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.1-2
- Always run generate-bindings

* Mon Apr 05 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1

* Mon Apr 05 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.0-2
- rebuild

* Fri Mar 26 09:59:25 GMT 2021 Peter Robinson <pbrobinson@gmail.com> - 0.1.0-1
- Initial package

